システム要件

2018年6月4日

重要

ドメインコントローラーへのセルフサービスパスワードリセットコンポーネントのインストールはサポートされません。専用サーバーでセルフサービスパスワードリセットのコンポーネントをインストールします。

ここでは、セルフサービスパスワードリセット環境に必要なハードウェアおよびソフトウェアの要件について説明します。各コンピューターが、インストールされているオペレーティングシステムの最小ハードウェア要件を満たしていることを前提としています。

ソフトウェア

Self-Service Password Resetを使用するには、以下のシステムソフトウェアが必要です。

  • Windows 2016およびWindows 2012 R2 - セルフサービスパスワードリセットサーバーに必要です。
  • Microsoft Windows Installer 2.0以降 - すべてのコンポーネントに必要です。
  • Microsoft .NET Framework - Self-Service Password Resetサーバーに必要です。
    • 4.6(Windows 2016)
    • 4.5.2(Windows 2012 R2)
  • インターネットインフォメーションサービス(Internet Information Services:IIS) - セルフサービスパスワードリセットサーバーに必要です。
    • IIS 10.0(Windows 2016)
    • IIS 8.5(Windows 2012 R2)
  • VC ++ 2008 SP1ランタイム - セルフサービスパスワードリセットサーバーに必要です。
    最初のインストールでは、https://www.microsoft.com/en-us/download/details.aspx?id=26368からvcredist_x86.exeをダウンロードし、セルフサービスパスワードリセットサーバーにインストールする必要があります。

セルフサービスパスワードリセットサーバー

  • セルフサービスパスワードリセットコンポーネント - 中央ストア
  • サポートされる環境 - SMBファイル共有
  • ハードウェア要件 - ユーザーあたり30KBのディスク空き容量

ASP.NET 3.5/4.Xの要件

お使いのWindows Server上のNET Frameworkのバージョンに対応したASP.NETコンポーネント。

セキュリティおよびアカウントの要件

セルフサービスパスワードリセットサービスをインストールする前に、このサービスに必要なアカウントとコンポーネントを用意します。また、セルフサービスパスワードリセットサービスはセキュアなHTTP(HTTPS)を使用するため、StoreFrontとのTLS(Transport Layer Security)通信のサーバー認証証明書が必要です。

サーバー認証の要件

セルフサービスパスワードリセットサービスをインストールする前に、CA(Certificate Authority:証明機関)からTLS通信のサーバー認証証明書を入手するか、利用可能な場合、内部PKI(Public Key Infrastructure:公開キー基盤)を入手します。

サービスモジュールに必要なアカウント

注:どちらのアカウントにも有効期限がないことを確認してください。

セルフサービスパスワードリセットサービスを実行するには、データの読み書き用に以下の種類のアカウントが必要です。

  • データプロキシ用アカウント
  • セルフサービス用アカウント

複数のモジュールで同じ種類のアカウントが必要な場合は、同じアカウントを複数のモジュールに使用できます。または、モジュールごとにカスタマイズされた異なるアカウントを指定することもできます。

  • データプロキシ用アカウント

中央ストアへの読み書き用のアクセス権を所有している。詳しくは、「中央ストアの作成」を参照してください。

  • セルフサービス用アカウント

ユーザー設定で関連ユーザーのパスワードをロック解除およびリセットするための権限が設定されている必要があります。詳しくは、「安全な構成」を参照してください。

StoreFront

  • StoreFront 3.7
  • StoreFront 3.8以降

Citrix Receiver

サポート対象:

  • Citrix Receiver for Web
  • Citrix Receiver for Windows
  • Citrix Receiver for Linux
  • Citrix Receiver for Mac(StoreFront 3.8が必要です)

サポート対象外:

  • Citrix Receiver for Chrome
  • モバイルデバイス(Receiver for Webを使用しない場合も含む)

NetScaler Gatewayの外部使用

サポートされていません